Bug 1322262 - Glusterd crashes when a message is passed through rpc which is not available
Summary: Glusterd crashes when a message is passed through rpc which is not available
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Mohammed Rafi KC
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1395245
TreeView+ depends on / blocked
 
Reported: 2016-03-30 07:26 UTC by hari gowtham
Modified: 2016-11-23 14:00 UTC (History)
3 users (show)

Fixed In Version: glusterfs-3.8rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-16 14:02:08 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description hari gowtham 2016-03-30 07:26:13 UTC
Description of problem:
if a service is not connected to glusterd because of some reason and by then if there is some message that has to be transferred through RPC, then the whole glusterd crashes as it rpc fails. 

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:
Connection failed. Please check if gluster daemon is operational.

Expected results:
glusterd should throw error without crashing.

Additional info:

Comment 1 Vijay Bellur 2016-03-30 12:17:02 UTC
REVIEW: http://review.gluster.org/13854 (glusterd/suncop: double free of frame stack) posted (#1) for review on master by mohammed rafi  kc (rkavunga@redhat.com)

Comment 2 Vijay Bellur 2016-03-31 07:26:34 UTC
REVIEW: http://review.gluster.org/13854 (glusterd/syncop: double free of frame stack) posted (#2) for review on master by mohammed rafi  kc (rkavunga@redhat.com)

Comment 3 Vijay Bellur 2016-03-31 17:16:58 UTC
COMMIT: http://review.gluster.org/13854 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 8dfbb6751b2f421fb179ecf6abf803fbe983350e
Author: Mohammed Rafi KC <rkavunga@redhat.com>
Date:   Wed Mar 30 17:42:44 2016 +0530

    glusterd/syncop: double free of frame stack
    
    If rpc message from glusterd during brick op phase
    fails without sending, then frame was freed from
    the caller function and call back function.
    
    Change-Id: I63cb3be30074e9a074f6895faa25b3d091f5b6a5
    BUG: 1322262
    Signed-off-by: Mohammed Rafi KC <rkavunga@redhat.com>
    Reviewed-on: http://review.gluster.org/13854
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

Comment 4 Niels de Vos 2016-06-16 14:02:08 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user


Note You need to log in before you can comment on or make changes to this bug.